<template>
    <div class="my-pagination pagination-lg">
        <button
            class="btn btn-secondary"
            @click.prevent="prev"
        >
            Попередня
        </button>
        <button
            class="btn btn-secondary"
            @click.prevent="next"
        >
            Наступна
        </button>
    </div>
</template>

<script>
import {mapGetters} from "vuex";

export default {
    name: "Pagination",
    props: {
        page: {
            type: Number,
            required: true,
        }
    },
    data() {
        return {
            currentPage: 1,
        }
    },
    computed: {
        ...mapGetters({
            meta: 'getProductsMeta',
        }),
        lastPage() {
            return this.meta.last_page;
        }
    },
    watch: {
        currentPage(value) {
            this.$emit('set-page', value);
        }
    },
    created() {
        this.currentPage = this.page;
    },
    methods: {
        next() {
            if(this.currentPage < this.lastPage) {
                this.currentPage += 1;
            }
        },
        prev() {
            if(this.currentPage > 1) {
                this.currentPage -= 1;
            }
        },
    }

}
</script>

<style scoped>
    .my-pagination {
        width: auto;
        display: flex;
        justify-content: center;
        align-items: center;
        gap: 20px;
    }
</style>
